This project contains 1 insecure development dependency.

Crate libp2p

Dependencies

(41 total, all up-to-date)

CrateRequiredLatestStatus
 bytes^11.6.0up to date
 either^1.9.01.11.0up to date
 futures^0.3.260.3.30up to date
 futures-timer^3.0.23.0.3up to date
 getrandom^0.2.30.2.14up to date
 instant^0.1.120.1.12up to date
 libp2p-allow-block-list^0.3.00.3.0up to date
 libp2p-autonat^0.12.00.12.0up to date
 libp2p-connection-limits^0.3.10.3.1up to date
 libp2p-core^0.41.20.41.2up to date
 libp2p-dcutr^0.11.00.11.0up to date
 libp2p-dns^0.41.10.41.1up to date
 libp2p-floodsub^0.44.00.44.0up to date
 libp2p-gossipsub^0.46.10.46.1up to date
 libp2p-identify^0.44.10.44.1up to date
 libp2p-identity^0.2.80.2.8up to date
 libp2p-kad^0.45.30.45.3up to date
 libp2p-mdns^0.45.10.45.1up to date
 libp2p-memory-connection-limits^0.2.00.2.0up to date
 libp2p-metrics^0.14.10.14.1up to date
 libp2p-noise^0.44.00.44.0up to date
 libp2p-ping^0.44.00.44.0up to date
 libp2p-plaintext^0.41.00.41.0up to date
 libp2p-pnet^0.24.00.24.0up to date
 libp2p-quic^0.10.20.10.2up to date
 libp2p-relay^0.17.10.17.1up to date
 libp2p-rendezvous^0.14.00.14.0up to date
 libp2p-request-response^0.26.10.26.1up to date
 libp2p-swarm^0.44.10.44.1up to date
 libp2p-tcp^0.41.00.41.0up to date
 libp2p-tls^0.3.00.3.0up to date
 libp2p-uds^0.40.00.40.0up to date
 libp2p-upnp^0.2.00.2.1up to date
 libp2p-websocket^0.43.00.43.0up to date
 libp2p-websocket-websys^0.3.10.3.1up to date
 libp2p-webtransport-websys^0.2.00.2.0up to date
 libp2p-yamux^0.45.10.45.1up to date
 multiaddr^0.18.10.18.1up to date
 pin-project^1.0.01.1.5up to date
 rw-stream-sink^0.4.00.4.0up to date
 thiserror^1.01.0.58up to date

Dev dependencies

(8 total, 1 possibly insecure)

CrateRequiredLatestStatus
 async-std^1.6.21.12.0up to date
 async-trait^0.10.1.80up to date
 clap^4.1.64.5.4up to date
 libp2p-mplex^0.41.00.41.0up to date
 libp2p-noise^0.44.00.44.0up to date
 libp2p-tcp^0.41.00.41.0up to date
 tokio ⚠️^1.151.37.0maybe insecure
 tracing-subscriber^0.30.3.18up to date